import { Component, Input, Output, EventEmitter } from '@angular/core';
import { DeliveryOption } from '../../services/preference/preference';
var DeliveryoptionComponent = /** @class */ (function () {
    function DeliveryoptionComponent() {
        this.save = new EventEmitter();
        this.delete = new EventEmitter();
        this.editing = false;
        this.editedOption = new DeliveryOption();
    }
    DeliveryoptionComponent.prototype.ngOnInit = function () {
    };
    DeliveryoptionComponent.prototype.editDeliveryOption = function () {
        this.editedOption.name = this.deliveryOption.name;
        this.editedOption.value = this.deliveryOption.value;
        this.editing = true;
    };
    DeliveryoptionComponent.prototype.saveDeliveryOption = function () {
        if (this.editedOption.value !== this.deliveryOption.value) {
            this.deliveryOption.status = 'not validated';
        }
        this.editedOption.updateType();
        var originalValue = this.deliveryOption.value;
        this.deliveryOption.name = this.editedOption.name;
        this.deliveryOption.value = this.editedOption.value;
        this.deliveryOption.deliveryType = this.editedOption.deliveryType;
        this.editing = false;
        this.save.emit({ originalValue: originalValue, newValue: this.deliveryOption.value });
    };
    DeliveryoptionComponent.prototype.cancelDeliveryOption = function () {
        this.editing = false;
    };
    DeliveryoptionComponent.prototype.deleteDeliveryOption = function (deliveryOption) {
        this.delete.emit(this.deliveryOption);
        this.editing = false;
    };
    DeliveryoptionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'np-deliveryoption',
                    template: "\n\n    <span class=\"np-delivery-option\" *ngIf=\"!editing\" (click)=\"editDeliveryOption()\">\n        <svg *ngIf=\"deliveryOption.deliveryType =='text'\" class=\"np-icon\"><use xlink:href=\"#chat\" /></svg>\n        <svg *ngIf=\"deliveryOption.deliveryType =='email'\" class=\"np-icon\"><use xlink:href=\"#email\" /></svg>\n      {{deliveryOption.name}} ({{deliveryOption.value}})\n    </span>\n    <div class=\"np-edit-option\" *ngIf=\"editing\">\n        <input [(ngModel)]=\"editedOption.value\" placeholder=\"email or mobile number\" />\n        <input [(ngModel)]=\"editedOption.name\" placeholder=\"Nickname (optional)\" />\n        <span>\n          <button class=\"np-button\" (click)=\"saveDeliveryOption()\" *ngIf=\"editedOption.value\">Save</button>\n          <button class=\"np-button\" (click)=\"cancelDeliveryOption()\">Cancel</button>\n          <button class=\"np-button\" (click)=\"deleteDeliveryOption()\">Delete</button>\n        </span>\n    </div>\n  ",
                    styles: ["\n    .np-icon{width:16px;height:13px}.np-delivery-option{cursor:pointer}.np-edit-option{margin:5px;background-color:#eee;padding:5px;max-width:fit-content}\n  "]
                },] },
    ];
    /** @nocollapse */
    DeliveryoptionComponent.ctorParameters = function () { return []; };
    DeliveryoptionComponent.propDecorators = {
        'deliveryOption': [{ type: Input },],
        'save': [{ type: Output },],
        'delete': [{ type: Output },],
    };
    return DeliveryoptionComponent;
}());
export { DeliveryoptionComponent };
//# sourceMappingURL=deliveryoption.component.js.map