export declare class Customer {
    _id: string;
    token: string;
    clientId: string;
    deliveryOptions: DeliveryOption[];
    alertPreferences: AlertPreference[];
    active: boolean;
}
export declare class DeliveryOption {
    id: number;
    deliveryType: string;
    name: string;
    status: string;
    value: string;
    updateType(): boolean;
}
export declare class AlertPreference {
    alertDefId: string;
    clientId: string;
    active: boolean;
    deliverTo: string[];
    parameters: object;
    alertDef: AlertDef;
}
export declare class AlertDef {
    _id: string;
    name: string;
    description: string;
    parameters: [AlertDefParameter];
    content: {
        emailText: string;
        smsText: string;
    };
    lookupLists: LookupList[];
}
export declare class AlertDefParameter {
    name: string;
    label: string;
    ptype: string;
    lookup: string;
}
export declare class LookupList {
    name: string;
    values: LookupValue[];
}
export declare class LookupValue {
    id: string;
    itemName: string;
    group: string;
}
